Bug 221314 - audio/jack: Remove useless dependency on misc/e2fsprogs-libuuid
Summary: audio/jack: Remove useless dependency on misc/e2fsprogs-libuuid
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://github.com/jackaudio/jack1/co...
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2017-08-07 14:40 UTC by Tobias Kortkamp
Modified: 2017-10-06 21:10 UTC (History)
2 users (show)

See Also:
jbeich: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2017-08-07 14:40:51 UTC
JACK never links with libuuid, so I think the misc/e2fsprogs-libuuid dependency should be removed from the port.

The libuuid dependency has been removed sometime in 2014 see e.g. [1].

====>> Checking shared library dependencies
 0x0000000000000001 NEEDED               Shared library: [libc.so.7]
 0x0000000000000001 NEEDED               Shared library: [libcelt0.so.2]
 0x0000000000000001 NEEDED               Shared library: [libdb-5.3.so.0]
 0x0000000000000001 NEEDED               Shared library: [libjack.so.0]
 0x0000000000000001 NEEDED               Shared library: [libjackserver.so.0]
 0x0000000000000001 NEEDED               Shared library: [libm.so.5]
 0x0000000000000001 NEEDED               Shared library: [libreadline.so.7]
 0x0000000000000001 NEEDED               Shared library: [libsamplerate.so.0]
 0x0000000000000001 NEEDED               Shared library: [libsndfile.so.1]
 0x0000000000000001 NEEDED               Shared library: [libthr.so.3]

[1] https://github.com/jackaudio/jack1/commit/c84316fcfad81dd52ac6a6d57068f1ba88c96932
Comment 1 Hans Petter Selasky freebsd_committer 2017-08-07 14:56:31 UTC
Looks good to me.

--HPS
Comment 2 Matthias Andree freebsd_committer 2017-08-10 22:16:34 UTC
Tobias, not sure why you put me on Cc: - not using one of my ports any longer isn't a concern for me. Removing myself from Cc: list.
Comment 3 commit-hook freebsd_committer 2017-10-06 21:04:54 UTC
A commit references this bug:

Author: jbeich
Date: Fri Oct  6 21:04:02 UTC 2017
New revision: 451409
URL: https://svnweb.freebsd.org/changeset/ports/451409

Log:
  audio/jack: libuuid is completely unused after r440260

  libuuid was used for a some time between 0.121.3 and 0.124 releases
  but didn't propagate into any except for stray <uuid/uuid.h> include.

  PR:		221314
  Submitted by:	tobik
  Reviewed by:	hselasky

Changes:
  head/audio/jack/Makefile
Comment 4 commit-hook freebsd_committer 2017-10-06 21:07:58 UTC
A commit references this bug:

Author: jbeich
Date: Fri Oct  6 21:07:34 UTC 2017
New revision: 451410
URL: https://svnweb.freebsd.org/changeset/ports/451410

Log:
  MFH: r451409

  audio/jack: libuuid is completely unused after r440260

  libuuid was used for a some time between 0.121.3 and 0.124 releases
  but didn't propagate into any except for stray <uuid/uuid.h> include.

  PR:		221314
  Submitted by:	tobik
  Reviewed by:	hselasky
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2017Q4/
  branches/2017Q4/audio/jack/Makefile
Comment 5 Jan Beich freebsd_committer 2017-10-06 21:10:32 UTC
Thanks. Landed.